<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 * 
 *     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.
 *     Use is subject to license terms.
-->
<html>
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>Working with Action Items</title>
    <link rel="StyleSheet" href="../ide.css" type="text/css">
</head>
<body>
    <h2>Working with Action Items</h2>
    <p><small><a href="#seealso">See Also</a></small></p>
    <p>You can create a list of things that you need to resolve in your various projects
    and view the list as entries in the Action Items window. 
    The list of action items can include compilation errors that are identified by the IDE,
    issues in an issue tracker and tasks that are identified by
    specific ToDo character patterns in project files.
    The IDE automatically scans your projects for action items
    and displays the items in the Action Items window.</p>
    
    <p><strong>To open the Action Items window</strong></p>
    <ul>
        <li>Choose Window &gt; Action Items.</li>
    </ul>
    
    <p>You can double-click an entry in the Action Items window 
        to jump to the line of the file where the action item needs to be resolved
        or open the issue in the IDE.</p>
    

    <h3>Specifying an Action Item in a File</h3>
    <p>Action items are created by some types of errors and by 
    the occurrence of specific character patterns in the file.</p>
    
    <p>By default, you can create action items by adding comments that contain the following patterns to a file.</p>
    <ul>
        <li><tt>TODO</tt></li>
        <li><tt>XXX</tt></li>
        <li><tt>FIXME</tt></li>
        <li>Javadoc comments that contain the <tt>@todo</tt> keyword (Java projects)</li>
    </ul>
    <p>You can modify and create custom patterns in the Action Items tab of the Options Window.</p>
    
    
    <p>The IDE includes the following patterns as action items by default.</p>
    <ul>
        <li>The pattern <tt>&lt;&lt;&lt;&lt;&lt;&lt;</tt>, which denotes merge conflicts in CVS and other 
        version control systems</li>
        <li>Lines where compiler errors are registered (Java projects)</li>
    </ul>
    
    <h3>Filtering Action Items</h3>
    <p>You can use filters to limit the items that are listed in the Action Items window. 
    You can modify an existing filter or create new custom filters.</p>
    
    <p>Perform the following steps to create a filter.</p>
    <ol>
        <li>Choose Window &gt; Action Items to open the Action Items window.</li>
        <li>Click the Filter button in the Action Items
        window toolbar to open the Action Items Filter dialog box.</li>
        <li>Click New to create a new filter and type a name for the filter.</li>
        <li>Select the types of action items that you want to be displayed.</li>
        <li>(Optional) Click the Keywords tab and specify any additional criteria that needs to be met.</li>
        <li>Click OK.</li>
    </ol>
    
    <p>To apply a filter to the list of action items, click the arrow on the Filter button
    and select a filter from the dropdown list.</p>
    

    <dl>
        <dt><a name="seealso">See Also</a></dt>
        <dd><a href="../configure/configure_options.html">Using the Options Window</a></dd>
        <dd><a href="../collab/issues_working.html">Working With Issues</a></dd>
    </dl>
    <hr>
    <small><a href="../credits.html">Legal Notices</a></small>
    <table cellpadding="50" border="0">
        <tr>
            <td>&nbsp;</td>
        </tr>
    </table>
</body>
